Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 192031 - [70cat][installer]Installer takes excessive time.
[70cat][installer]Installer takes excessive time.
Status: NEW
Product: installer
Classification: Unclassified
Component: Code
7.0
PC Windows XP
: P4 (vote)
: TBD
Assigned To: Libor Fischmeistr
issues@installer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-16 19:25 UTC by esmithbss
Modified: 2014-02-10 14:15 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Installation Log for 20101122 Windows All (367.10 KB, application/x-compressed)
2010-11-22 18:09 UTC, esmithbss
Details
Showing parameters for process. (25.57 KB, image/jpeg)
2013-05-16 08:34 UTC, Chiana
Details
Thread dump of "leftover" process (10.35 KB, application/octet-stream)
2013-06-14 08:01 UTC, Chiana
Details
Multiple thread dumps (195.67 KB, application/octet-stream)
2013-06-14 08:30 UTC, Chiana
Details
IDE Thread dump installer hung 35% (17.48 KB, text/plain)
2013-06-16 12:17 UTC, bolsover
Details
Installer thread dump, installer hung 35% (12.40 KB, text/plain)
2013-06-16 12:18 UTC, bolsover
Details

Note You need to log in before you can comment on or make changes to this bug.
Description esmithbss 2010-11-16 19:25:38 UTC
[ BUILD # : 201011160001 ]
[ JDK VERSION : 1.6.22 ]

Results from a Quad Core Dell Latitude E6410 (solid state drive)
4GB
Running Windows XP

Downloaded Installer for 201011160001.
Started installation at 11:50 +/- 5 minutes.

As of 13:12 installer at 36%

Once installer passes 38%, installation speed suddenly increases.

13:18h installer at 53%
13:20h installer at 59%
13:22h installer at 91%
13:24h installer at 94%

The installer takes an excessive amount of time to prepare for the installation
and to being the installation process, and the progress bar/percent complete
appears to be based solely on the number of files in the archive and not on the
percentage of the installer's actual completion.
Comment 1 Ondrej Vrabec 2010-11-17 08:57:03 UTC
Works for me, 201011160001 Java SE build, had no problems installing it.
What bundle did you installed (Java, Ruby) and what components did you select in the installation process (if you had the option)?
Also run the installer with --verbose and when the installer hangs, look and attach the output.
Comment 2 esmithbss 2010-11-18 07:00:00 UTC
Installer was full installer.  
No special options selected.  
Process never hung.
Just the same install I've done hundreds of times before on a windows box.
I even turned McAffee off before starting to avoid the deep scans of compressed files.

If it is slow for next installer, I'll run with verbose flag.
Comment 3 Ondrej Vrabec 2010-11-22 08:15:39 UTC
I see, maybe caused by some unexpected peek by other process. Let's wait to see the log from the next slow installation.
Comment 4 esmithbss 2010-11-22 18:09:19 UTC
Created attachment 103200 [details]
Installation Log for 20101122 Windows All

This is the log file for an installation on a Dell Latitude E6410.

The box has:

Intel i5 processor (4 cores).
4GB Memory
12GB Solid State Hard Disk with 44GB free.
Running Windows XP SP3
Comment 5 Jiri Rechtacek 2012-10-07 12:59:06 UTC
Assigned to new owner.
Comment 6 Chiana 2013-05-16 08:33:07 UTC
Seems this has reoccured. 

Pauses a loooooong time at 35% just after spawning some additional java processes.

After the install has finished one of them are left in memory.
The screenshot shows the parameters sent to that process.
I have a memory dump of that process (windows taskmanager dump) if you need it.
Comment 7 Chiana 2013-05-16 08:34:12 UTC
Created attachment 134503 [details]
Showing parameters for process.
Comment 8 Chiana 2013-05-24 06:57:54 UTC
This goes for 201305232300 too...
Same process left running after installation completes (about 20 minutes)
Comment 9 Chiana 2013-06-10 16:29:38 UTC
This goes for 20130610004 too.

There seems however be a slight difference between running as a normal user and running as an administrator.

If run under a normal account it doe's not always happen but when run as administrator it happens all the time.
Comment 10 Chiana 2013-06-14 07:51:43 UTC
and 201306132301.
Time to figure out a way to figure this out.
Comment 11 Chiana 2013-06-14 08:01:59 UTC
Created attachment 135790 [details]
Thread dump of "leftover" process

This is a thread dump of the left-over process, this is actually taken a few seconds after installer reported finish...
Comment 12 Chiana 2013-06-14 08:30:55 UTC
Created attachment 135792 [details]
Multiple thread dumps

Theese are multiple thread-dump of the installer processes, they are taken as follows;
The first is taken when detecting that it has reached the point where is pauses (approx 35% of "completing installation" phase) and then there is a separator ("-----") and then a dump of each process varying from 10 seconds apart to a few minutes apart. The last few dumps are from the "hanging" process after it has finished.
Hope this can shed some light on what is happening.
Each dump is of 2 processes, one called "Main" and one called "Installer" except the last one when the "Installer" already has terminated and "Main" beeing the "Left over" process.
Comment 13 everflux 2013-06-15 13:32:01 UTC
I had the installer stuck at 35% until a timeout seems to trigger the end.

From the NBI log:


[2013-06-15 12:32:52.351]:     [stderr]: Non heap memory usage: initial
34.4MB maximum 432.0MB
[2013-06-15 12:32:52.351]:     [stderr]: Garbage collector: PS Scavenge
(Collections=13 Total time spent=0s)
[2013-06-15 12:32:52.351]:     [stderr]: Garbage collector: PS MarkSweep
(Collections=2 Total time spent=0s)
[2013-06-15 12:32:52.351]:     [stderr]: Classes: loaded=6241 total
loaded=6243 unloaded 2
[2013-06-15 12:32:52.351]:     [stderr]: INFO
[org.netbeans.core.ui.warmup.DiagnosticTask]: Total memory 16,791,003,136
[2013-06-15 12:42:52.378]:     [return]: killed by timeout
[2013-06-15 12:42:52.378]: ... command execution finished
[2013-06-15 12:42:52.378]:     .... exit code: 2147483647
[2013-06-15 12:42:52.378]:
CleanupNBMsIfLeft(/home/tkruse/java/netbeans-beta)
[2013-06-15 12:42:52.381]:    ... ... done
[2013-06-15 12:42:52.381]:     .... done.

java version "1.7.0_21"
Java(TM) SE Runtime Environment (build 1.7.0_21-b11)
Java HotSpot(TM) 64-Bit Server VM (build 23.21-b01, mixed mode)

Product Version: NetBeans IDE 7.4 Beta (Build 201306132201)

System: Ubuntu 13.04 / Gnome 3
Comment 14 bolsover 2013-06-16 12:16:21 UTC
Same problem here with 7.4-beta under Windows 8 pro; Intel i7 Q740, 8Gb RAM
Attaching two thread dumps taken when installer apparently hung at 35%.

db
Comment 15 bolsover 2013-06-16 12:17:23 UTC
Created attachment 135847 [details]
IDE Thread dump installer hung 35%
Comment 16 bolsover 2013-06-16 12:18:05 UTC
Created attachment 135848 [details]
Installer thread dump, installer hung 35%
Comment 17 Jiri Kovalsky 2013-06-18 18:43:34 UTC
I think this deserves more attention now that 5 NetCAT 7.4 participants faced it when pre-testing NetBeans IDE 7.4 Beta candidate.
Comment 18 Marian Mirilovic 2013-06-19 08:42:37 UTC
Jirka R., 
is this one duplicate of bug 230452 ?
Comment 19 Jiri Rechtacek 2013-06-19 08:47:08 UTC
(In reply to comment #17)
> I think this deserves more attention now that 5 NetCAT 7.4 participants faced
> it when pre-testing NetBeans IDE 7.4 Beta candidate.

What exactly did NetCat participants faced? I think they faced the freeze on 35% of installation - it's duplicate of issue 230452(already fixed). This original issue was reported 2.5 (NB7.0) years ago against a installer, which did not check for updates, install JUnit etc. It was simply about percentage during prepare of the installation and the unpacking of IDE is not so straight as it might be. It's P4 in my point of view.
Comment 20 Jiri Rechtacek 2013-06-19 08:47:29 UTC
(In reply to comment #18)
> Jirka R., 
> is this one duplicate of bug 230452 ?

No, it's not.
Comment 21 Chiana 2013-06-19 09:45:41 UTC
Then why does it leave processes hanging that never terminates, this issue causes the installation process to take up to an hour and then there is still processes hanging that never terminates.
I don't think it is related at all to 230452 as that is inside the IDE and this is the installer.
And also leaving processes running is *bad*

(In reply to comment #19)
> (In reply to comment #17)
> > I think this deserves more attention now that 5 NetCAT 7.4 participants faced
> > it when pre-testing NetBeans IDE 7.4 Beta candidate.
> 
> What exactly did NetCat participants faced? I think they faced the freeze on
> 35% of installation - it's duplicate of issue 230452(already fixed). This
> original issue was reported 2.5 (NB7.0) years ago against a installer, which
> did not check for updates, install JUnit etc. It was simply about percentage
> during prepare of the installation and the unpacking of IDE is not so straight
> as it might be. It's P4 in my point of view.
Comment 22 Jiri Rechtacek 2013-06-19 10:35:47 UTC
(In reply to comment #21)
> Then why does it leave processes hanging that never terminates, this issue
There is the 10 min timeout

> causes the installation process to take up to an hour and then there is still
> processes hanging that never terminates.
> I don't think it is related at all to 230452 as that is inside the IDE and this
> is the installer.
It's a technical detail.

> And also leaving processes running is *bad*
I don't understand this comment

> 
> (In reply to comment #19)
> > (In reply to comment #17)
> > > I think this deserves more attention now that 5 NetCAT 7.4 participants faced
> > > it when pre-testing NetBeans IDE 7.4 Beta candidate.
> > 
> > What exactly did NetCat participants faced? I think they faced the freeze on
> > 35% of installation - it's duplicate of issue 230452(already fixed). This
> > original issue was reported 2.5 (NB7.0) years ago against a installer, which
> > did not check for updates, install JUnit etc. It was simply about percentage
> > during prepare of the installation and the unpacking of IDE is not so straight
> > as it might be. It's P4 in my point of view.
Comment 23 Chiana 2013-06-19 12:03:30 UTC
If it is a 10 min timeout why is the process still there after 24 hours???

Why it's bad??? A process that hangs and never terminates drains resources from the computer it is (not) running on.

(In reply to comment #22)
> (In reply to comment #21)
> > Then why does it leave processes hanging that never terminates, this issue
> There is the 10 min timeout
> 
> > causes the installation process to take up to an hour and then there is still
> > processes hanging that never terminates.
> > I don't think it is related at all to 230452 as that is inside the IDE and this
> > is the installer.
> It's a technical detail.
> 
> > And also leaving processes running is *bad*
> I don't understand this comment
> 
> > 
> > (In reply to comment #19)
> > > (In reply to comment #17)
> > > > I think this deserves more attention now that 5 NetCAT 7.4 participants faced
> > > > it when pre-testing NetBeans IDE 7.4 Beta candidate.
> > > 
> > > What exactly did NetCat participants faced? I think they faced the freeze on
> > > 35% of installation - it's duplicate of issue 230452(already fixed). This
> > > original issue was reported 2.5 (NB7.0) years ago against a installer, which
> > > did not check for updates, install JUnit etc. It was simply about percentage
> > > during prepare of the installation and the unpacking of IDE is not so straight
> > > as it might be. It's P4 in my point of view.
Comment 24 Jiri Rechtacek 2013-06-19 13:15:36 UTC
(In reply to comment #23)
> If it is a 10 min timeout why is the process still there after 24 hours???
If so, please file it as a new issue and attach log file for the affected installation (usually located at ~/.nbi/log/*.log on unix, C:\\Users\<user>\.nbi\log\*.log on Windows).
Thanks


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo